Home

# Class goog.ui.media.MediaModel.Credit

Indicates an entity that has contributed to a media object. Based on 'media.credit' in the rss spec.

Instance Method Summary
| `getRole() ⇒ (goog.ui.media.MediaModel.Credit.Role|null|undefined)` Gets the role of the entity being credited.
| `getScheme() ⇒ (goog.ui.media.MediaModel.Credit.Scheme|null|undefined)` Gets the scheme of the credit object.
| `getValue() ⇒ string` Gets the name of the entity being credited.
| `setRole(?goog.ui.media.MediaModel.Credit.Role role) ⇒ ?goog.ui.media.MediaModel.Credit` Sets the role of the credit object.
| `setScheme(?goog.ui.media.MediaModel.Credit.Scheme scheme) ⇒ ?goog.ui.media.MediaModel.Credit` Sets the scheme of the credit object.
| `setValue(string value) ⇒ ?goog.ui.media.MediaModel.Credit` Sets the value of the credit object.